<?php

// Обратный путь в директориях

if(isset($_GET['page'])){
    $page = $_GET['page'];
}else{
    $page = 'main';
}

$page = str_replace( ['.', '/'], '', $page );
$page = "pages/{$page}.php";

if(file_exists($page)){
    $content = file_get_contents($page);
}else{
    $content = '404';
}

?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css" integrity="sha384-/Y6pD6FV/Vv2HJnA6t+vslU6fwYXjCFtcEpHbNJ0lyAFsXTsjBbfaDjzALeQsN6M" crossorigin="anonymous">
</head>
<body>

<div class="container" style="margin-top: 20px;">
    <div class="row">
        <div class="col-4">
            <ul class="list-group">
                <li class="list-group-item"><a href="index.php">Main page</a></li>
                <li class="list-group-item"><a href="index.php?page=about">About</a></li>
            </ul>
        </div>
        <div class="col-8">
            <?= $page;?>
            <br>
            <?= $content ?>
        </div>
    </div>
</div>

</body>
</html>